Bug 188870 - CVE-2006-0884 JavaScript execution in mail when forwarding in-line
Summary: CVE-2006-0884 JavaScript execution in mail when forwarding in-line
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 04:06 UTC by Josh Bressers
Modified: 2018-04-11 08:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 14:46:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-04-13 04:06:49 UTC
JavaScript execution in mail when forwarding in-line


Georgi Guninski reports that forwarding mail in-line while using the default
HTML "rich mail" editor will execute JavaScript embedded in the e-mail
message. Forwarding mail in-line is not the default setting but it is easily
accessed through the "Forward As" menu item.

This JavaScript runs with the full privileges of the client and could be
used to install malware or send spam.

In Thunderbird 1.0.7 and below and Mozilla Suite 1.7.12 and below JavaScript
is also executed when you reply to a mail, though limited to the sandbox of
the  message.  This  script  could spy on or alter the message you are
composing.

Workaround

Switch to "plain text" mail composition, this vulnerability only affects
HTML mail composition (the default). On the "Composition and Addressing" tab
of Thunderbird's Account Settings dialog uncheck the "Compose messages in
HTML format" option to compose messages in plain text.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=319858


This issue also affects FC4

Comment 1 Josh Bressers 2006-04-24 13:08:37 UTC
Lifting embargo

Comment 2 Matěj Cepl 2007-07-18 17:30:29 UTC
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.


Comment 3 Matěj Cepl 2007-08-28 14:46:28 UTC
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.


Note You need to log in before you can comment on or make changes to this bug.